/*********************************************************************

Name:		Raytracer
Author:		Kamil Szatkowski "Netrix" (C)
Website:	http://www.netrix.org.pl/
License:	GNU GPL

*********************************************************************/
#pragma once
#include "RSICommon.hpp"

class RSIClient
{
public:
	bool init(SocketClient& socketClient, RayTracer& raytracer);

	void run();

private:
	bool sendClientRequest();

	void sendClientReady();

	bool getResponse();

	bool serverRaytracerParams();

	void serverTask();

	void clientDone();

private:
	SocketClient* m_pClient;
	RayTracer* m_pRayTracer;
	NIne::NUint32 m_uClientState;
};